package com.wd.workoffice.ui.adapter;


import com.chad.library.adapter.base.BaseQuickAdapter;
import com.chad.library.adapter.base.BaseViewHolder;
import com.wd.workoffice.R;
import com.wd.workoffice.bean.mesBean.DispatchBean;
import com.wd.workoffice.bean.mesBean.QualityTraceabilityBean;

import java.util.List;

import flexible.xd.android_base.utils.TimeUtils;

/**
 * Created by flexible on 2018/8/13.
 */

public class QualityDispatchAdapter extends BaseQuickAdapter<DispatchBean, BaseViewHolder> {

    public QualityDispatchAdapter(int layoutResId, List data) {
        super(layoutResId, data);
    }


    @Override
    protected void convert(BaseViewHolder helper, DispatchBean item) {
        helper.setText(R.id.tv_name, item.getProcedureName());
        helper.setText(R.id.tv_identify_name, item.getAssetName());
        helper.setText(R.id.tv_person, item.getCreateUserName());
        helper.setText(R.id.tv_time, TimeUtils.millis2String(item.getCreateDateTime()));
    }
}

